#
# Crystal Chips BootManager CC Flash driver script. v1.1
#

KEEP

SET "TITLE" "CC Flash"

IF EQU "$BM.CNF_LANGUAGE$" "1"
    # Spanish
    SET "DEV_DESC" "Crystal Chip FlashDrive"
ELSEIF EQU "$BM.CNF_LANGUAGE$" "2"
    # French
    SET "DEV_DESC" "Crystal Chip FlashDrive"
ELSEIF EQU "$BM.CNF_LANGUAGE$" "3"
    # German
    SET "DEV_DESC" "Crystal Chip FlashDrive"
ELSEIF EQU "$BM.CNF_LANGUAGE$" "4"
    # Italian
    SET "DEV_DESC" "Crystal Chip FlashDrive"
ELSE
    # Default to english
    SET "DEV_DESC" "Crystal Chip FlashDrive"
ENDIF

# Do not change this.
GOTO "$ARG1$"
RETURN "-1"

:QUERY
    ADDWIDGET "CALL" "$TITLE$" "$DEV_DESC$" $ARG2$ "$ARG0$" "$ARG3$" "$ARG4$" "$ARG5$"
    RETURN "0"

:IF_QUERY
    IF EXISTS "dffs:/"
        ADDWIDGET "CALL" "$TITLE$" "$DEV_DESC$" $ARG2$ "dffs" "$ARG3$" "$ARG4$" "$ARG5$"
    ENDIF
    RETURN "0"

:CHECK_PRESENT
    RETURN 0

    IF NEQ "$BM.DFFS_PRESENT$" "1"
        IF EXISTS "dffs:/"
            IF NEQ "$BM.DFFS_PRESENT$" "1"
                LOADEXEC "PBAT" "$BM.SCRIPTS$/BMCONT.PBT" "CHECK" "dffs"
                SET "BM.DFFS_PRESENT" "1"
            ENDIF
        ELSEIF EQU "$BM.DFFS_PRESENT$" "1"
            SET "BM.DFFS_PRESENT" "0"
        ENDIF
    ENDIF

    RETURN 0

:CHECK
    IF MATCHES "dffs:*" "$ARG2$"
        SET "$ARG3$" "$ARG0$"
    ENDIF

    RETURN 0

:INSTALL
    IF FAIL COPY "$PWD$" "$ARG2$/DFFS"
        MESSAGE "Failed installing $TITLE$!"
       RRM "$ARG2$/DFFS"
        RETURN -1
    ENDIF
    EXIT 0
:REMOVE
    EXIT "0"

:LOAD
    IF EXISTS "dffs:/"
        RETURN 0
    ENDIF

    RETURN -1

:LOADEXEC
    LOADEXEC "EEELF" "$ARG2$" $ARG3$
    EXIT "0"

:SETEXIT
    SETEXIT "moduleload" "$ARG2$" $ARG3$
    EXIT "0"
