# BootManager 2 Firmware Manager Script for Crystal Chips Firmware

# Change this information to describe the application.
SET "TITLE" "Crystal Chips Firmware"
SET "VERSION" "Release 34"
SET "AUTHOR" "CrystalChips"
SET "DESC" "Upgrade your CrystalChip to the latest firmware!"
#

GOTO "$ARG1$"

:LABEL_NAME
    ADDWIDGET "LABEL" "$ARG2$$TITLE$ v$VERSION$"
    EXIT 0

:QUERY
    ADDWIDGET "CALL" "$TITLE$" "$BM.TXT_VERSION$: $VERSION$ $BM.TXT_AUTHOR$: $AUTHOR$ $BM.TXT_DESC$: $DESC$" $ARG2$ "$ARG0$" "$ARG3$" "$ARG4$" "$ARG5$"
    EXIT "0"

:INSTALL
    IF EQU "$BM.CC_MAJOR_VER$" "1"
        IF EQU "$BM.CC_MINOR_VER$" "0"
            SET TMP "FWARE10.CCI"
        ELSEIF EQU "$BM.CC_MINOR_VER$" "1"
            SET TMP "FWARE11.CCI"
        ELSEIF EQU "$BM.CC_MINOR_VER$" "2"
            SET TMP "FWARE12.CCI"
        ELSE
            MESSAGE "$BM.TXT_NO_CC$ CC$BM.CC_MAJOR_VER$.$BM.CC_MINOR_VER$!"
            EXIT "-1"
        ENDIF
    ELSEIF EQU "$BM.CC_MAJOR_VER$" "2"
        SET TMP "FWARE20.CCI"
    ELSE
        MESSAGE "$BM.TXT_NO_CC$ CC$BM.CC_MAJOR_VER$.$BM.CC_MINOR_VER$!"
        EXIT "-1"
    ENDIF

    IF NOT EXISTS "$PWD$/$TMP$"
        MESSAGE "No CC$BM.CC_MAJOR_VER$.$BM.CC_MINOR_VER$-compatible firmware found in this release!"
        EXIT "-1"
    ENDIF
    
    IF FAIL PROGFW "$PWD$/$TMP$"
        MESSAGE "$BM.TXT_PROGFW_FAIL$"
        EXIT "-1"
    ENDIF

    MESSAGE "$BM.TXT_PROGFW_DONE$"

    EXIT "0"

:REMOVE
    EXIT "0"

:RUN
    EXIT "0"
